Вопрос Как выполнять только LTS-обновления?


Я знаю, что видел это где-то раньше, но что еще может заставить диспетчер обновлений запрашивать обновления, кроме релизов LTS-to-LTS?


16
2017-08-12 17:12


происхождения




ответы:


Если вы перейдете в Ubuntu> System> Administration> Update Manager, вы увидите кнопку Settings ... в левом нижнем углу диалогового окна. В диалоговом окне перейдите на вкладку «Обновления» и снимите флажки с обновлениями и установите Release Upgrade на «Long Term Support Releases Only».

Он должен выглядеть примерно так:

enter image description here

См. документы сообщества Чтобы получить больше информации.


20
2017-08-12 17:18



Данная картина вводит в заблуждение: «Обновление выпуска» установлено в «Нормальные релизы», где должно быть «LTS Releases», - MestreLion
Есть ли способ сделать это без GUI? У меня есть Ubuntu VPS, который продолжает приставать меня к обновлению до 12.10. - dgw
@dgw Вероятно, вы захотите проверить / etc / update-manager / release-upgrade. Вы можете установить Prompt на lts вместо обычного, и это должно помочь. Запустите «do-release-upgrade», чтобы проверить, найдет ли он новую версию. - flickerfly


Публикация в качестве ответа того, что сказал @flickerfly в комментарии: способ сделать это без GUI - это изменить значение Prompt в /etc/update-manager/release-upgrades,

[DEFAULT]
Prompt=lts

Возможные значения (скопированы из самого файла):

  • never: Никогда не проверяйте новый выпуск.
  • normal: Проверьте, доступна ли новая версия. Если несколько новых релиз, обновитель релиза попытается перейти на релиз, который сразу же удастся выполнить в настоящее время выпуск.
  • lts: Проверьте, доступна ли новая версия LTS. Усовершенствование попытается перейти на первый выпуск LTS, доступный после в настоящее время. Обратите внимание, что этот параметр не должен быть используется, если текущая версия не является самой LTS так как в этом случае модернизатор не сможет определить, доступна ли более новая версия.

12
2018-01-08 21:33